aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-cx_freeze
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 11:51:19 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 13:00:03 +0000
commit9aa11a9712818cce371b4952aacb5c097d5a2f80 (patch)
tree1226a4ab8d2daba1208219a61a2848551e949551 /community/py-cx_freeze
parent9d2b6c985f235db8cd3b13fb69b88a8cb26be6a6 (diff)
downloadaports-9aa11a9712818cce371b4952aacb5c097d5a2f80.tar.gz
aports-9aa11a9712818cce371b4952aacb5c097d5a2f80.tar.bz2
aports-9aa11a9712818cce371b4952aacb5c097d5a2f80.tar.xz
community/py-cx_freeze: improved APKBUILD
Diffstat (limited to 'community/py-cx_freeze')
-rw-r--r--community/py-cx_freeze/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/community/py-cx_freeze/APKBUILD b/community/py-cx_freeze/APKBUILD
new file mode 100644
index 0000000000..6b64d0856b
--- /dev/null
+++ b/community/py-cx_freeze/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-cx_freeze
+_pkgname=cx_Freeze
+pkgver=4.3.4
+pkgrel=2
+pkgdesc="Set of utilities for freezing Python scripts into executables"
+url="http://cx-freeze.sourceforge.net/"
+arch="all"
+license="PSF"
+depends=""
+depends_dev=""
+makedepends="$depends_dev python2-dev python3-dev py-setuptools"
+install=""
+subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python2 setup.py install --root=$pkgdir/ --optimize=1 || return 1
+ python3 setup.py install --root=$pkgdir/ --optimize=1 || return 1
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ arch="all"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+
+
+md5sums="5bd662af9aa36e5432e9144da51c6378 cx_Freeze-4.3.4.tar.gz"
+sha256sums="40c7bbfa107e139d105fdf79d1a7540dbb9f84aaf0fecdd03420bf37f0031be2 cx_Freeze-4.3.4.tar.gz"
+sha512sums="b523322c8199757245f3af2d9e3d68397708cfc8f318761f1eec6e011bd07ec12d3b748a60d33f43f0849f68ec064a729fb3250747216b90b8dd700d0a83699f cx_Freeze-4.3.4.tar.gz"